<?php 
ini_set('display_errors','On');
require_once($_SERVER['DOCUMENT_ROOT'].'/shine/datos/clsQuery.php');
	class estadoCuenta extends Query 
	{
		var $filas = NULL;
		function __construct()  
		{
			parent::__construct();
			parent::MET_Conectar();
		}      
		
		function MET_consulta($identificacion)  {
			$sql = "
				SELECT 
				  tip_factura,
				  num_serie,
				  cod_factura,
				  fec_factura,
				  cod_item,
				  num_cantidad,
				  val_costo,
				  nom_cia
				FROM
				  T_ESTCLIENTE 
				WHERE COD_CIA =  \'$identificacion\' 
				ORDER BY SEC_LINEA 
			";
			//$sql = mysql_escape_string($sql);
			//		echo $sql;exit;
			parent::__set('sql', $sql);
			$registros = parent::MET_Select();
//                        print_r($registros);exit;
			return $registros;
		} // end MET_consultaLibro
	
	function MET_fillTable($identificacion)  {
			$registros = $this->MET_consulta($identificacion);
			$cnt_total = 0;
			$val_costo = 0;
			if (!$registros) 
			{
			$this->filas = '<tr> 
    		<td><div align="center" colspan="5"> '.$this->msj_query.'</div></td>
    				</tr>';	
			}
			else
			{
			foreach($registros as $ind => $reg) 
				{
				if(($ind%2)==0){
					$etiq_tr= '<tr class="filapar_consulta"';
				}else{
					$etiq_tr = '<tr class="filaimpar_consulta"';
				}
				$this->filas .=	'
				<tr '.$etiq_tr.'>
				<td>'.$reg['tip_factura'].'</td>
				<td>'.$reg['cod_factura'].'</td>
				<td>'.$reg['nom_cia'].'</td>
				<td align=center>'.$reg['fec_factura'].'</td>
				<td align=center>'.$reg['cod_item'].'</td>
				<td align=right>'.$reg['num_cantidad'].'</td>
				<td align=right>'.$reg['val_costo'].'</td>
				
  				</tr>
				';	
				$cnt_total+=$reg['num_cantidad'];
				$val_costo+=$reg['val_costo'];
				} //end foreach
				
				$this->filas .=	'
				<tr '.$etiq_tr.'>
				<td colspan = "5">'.'<b>TOTAL</b>'.'</td>
				<td align=right><b>'.$cnt_total.'</b></td>
				<td align=right><b>'.$val_costo.'</b></td>
				
  				</tr>
				';	
			}//end if
			return $this->filas;			
		} // end MET_fillCombo*/	
	}//end class
?>